Target version:

Description

B BeTky BeamDetParticle no6aBntb Habop NnepeMeHHbIX, KOTOPbIE ONUCLIBAIOT PEKOHCTPYMPOBAHHYIO YacTULYy B NAOCKOCTW LEeHTpa
MuweHn. Ha naHHbIn MOMEHT ynobHo paboTaTb Co BceMu Tekywmmm nepemenHbiMn (fFourMomentum, fPx, fPy, fPz, P, ...), HoBble
nepeMeHHbIe MOTryT HasbiBaTbcs Hanpumep fPxt, fPxT nnn fPx_t.

Tekylwme nepeMeHHbIe ONMCHIBAIOT MYYKOBYIO YACTULY (B HEKOTOPOM [OCTAaTOYHOM MPUBMXKEHUN) HA BbIXOAE U3 BTOPOro
nnactuka (ToF2). 9Ta nHopmaums Hy>xHa, HO Hao N06aBUTb NUCTLI C SHEepPrueli Nocne NPOXOXAEHNS BCEro BElWecTBa Ha Ny Tu
[0 LEHTpA MULWWEHW, MPUYEM HANPaBNEHUE OCTAHETCS TakuM Xe. [lng kaxaoro cobbiTus HaLo NOCYMTaTh C MOMOLbBIO
KanbKynatopa notep aHeprum notepu B (TunmyHo) MWPC1, MPWC2, nepeHUX OKHax S4enku MAWEHW 1 NONOBMHE TONWMHbI rasa.

HoBas sHeprus 6ynet oTnamyatbcst Ha 5 - 15 MaB, 4T0 Ype3MepHO BaXXHO LSt PEKOHCTPYKLMU CNEKTPa N3y4aemoro sapa.

PesynbTart:

3ajnaya B nepBoM npubnuxexHun pabotaet. CUMMYNSILUS U PEKOHCTPYKLIMS MPOBOAMNACH C MOMOLLbIO MaKpPOCOB B MPUKPENNEHHbIX
arnax B BeTke "137_BeamDetEloss"

commit 08edfe61a72b707d153b6bab8dfaf22e6bbfd64c
Author: SchetininVitaliy
Date: Wed Feb 28 10:15:29 2018 +0300

C nomolbo Makpoca B NPUKPENNEHHOM dhaine BUANM:
BeamDetEloss_result.png

B nepeom cTon6ue HabnoaaeTcs BOCCTaHOB/IEHHAsS KMHeTUYeckasl 3Heprus nyyka nocne npoxoxaeHus netektopos TOF. Ha
OCTaslbHbIX KaPTUHKaX BUAOUM KUHETUYECKYIO SHEPTUIO MyyYKa BOCCTAHOBMIEHHYIO B LIEHTPaNbHOM MNOCKOCTU MUWweHn. Hannyune Tpex
MUKOB MOXHO 06 BSCHUTL TEM, YTO NYTb YaCTULbl PEKOHCTPYMPOBaHHLI ¢ noMowbio MWPC o4eHb CribHO NMOBPEX LEH
MHOFOKPaTHbIM paccesiHueM Ha BCEeX MNIOCKOCTSIX ¥ NMPU NPOBOXAEHUIO YaCTUCTULLI 06paTHO B nnockocTb TOF1 TpaekTopus He
NPOXOAUT Yepes BCe AeTEeKTopbl. TeM He MEHee MOXEeM Nerko NOHATb, KaKon N3 NKOB NPaBUIbHbIA (CaMblii HU3KOSHEPreTUYHBIA).

M3BecTHble Npo61eMMbI;

1. Hy>xHa konnyecTBeHHas npoBepka Ha notepwu B getektopax TOF.

2. Hapo nocMoTpeThb, kak cuibHO BiusieT "OcobbiM 06pa3oM yunThIBAIOTCS SHEPronoTEPU B MULWEHMW. Tak Kak Mbl HE 3HAeM TOYKY
peakun B PeKOHCTPyKLMK, BepyTcst aHepronoTepu, Kak ecnu Hbl MOH NPONETEN MULIEHb MONHOCTBIO U AensaTbes Ha 2." (BLL).
Takoit pacyeT B MPUHLUMMNE He NPaBW/bHbIA, HO MOXET BbiTb, YTO U3-3a TOYHOCTU PA3HULY HE 3aMETUM.

3. Hapo pasobpatbcs ¢ nogasneHMeM MHOrOKpaTHOro paccesiHus Ha aetektopax TOF, 4Tobbl ouncTNTL BTOPYIO NaHenb
BbllleyKa3aHHOM KapTUHKMU.

4. EcTb Hecornacue B macce °He. B cuMMy nsiLmmn 1 pekoHCTpyKLMM cTonT 5605,54 MaB, cornacHo AaHHbIM 13 Nrv.jinr.ru JonXHa
6eiTb Macca  5606,556095 MaB. B makpoce cuMMynsiLmMmn He HailoeHa BO3MOXHOCTb yNpaBnsTb Maccei

My4KOBOro MoHa.

History

#1 - 02/26/2018 08:29 AM - Vitaliy Schetinin
- % Done changed from 0 to 50
#2 - 02/28/2018 10:21 AM - Vitaliy Schetinin
- % Done changed from 50 to 80

Lob6asun noacyeT aHepro-noTepb ¢ nomoubto G4EmCalculator.

Tenepb 06bekT ERBeamDetParticle nmeet aga 4-x Bektopa: fTofState n fTargetState. OTaenbHO Becsilume KOMNOHEHTHI YeTbipex BekTopa Px, Py ...

XOo4y yoannTtb, HO NOKa oCTaBun. [ng MuweHn Takoro He genan.

Mpouwy koro-Hnbynb Bbikayatb cebe 3Ty BETKY U NpoBepuTb paboTy.

OcobbiM o6pa30M Y4UTbIBAKOTCA 3HEpPronotTepu B MULLEHN. Tak Kak Mbl He 3HaeM TOYKY peakunn B PEKOHCTPYKLNN, 6epch;| 3HepronoTepwu, Kak ecnu

6bl OH nponeten MUWEeHb NONIHOCTbIO N OeNATbCsA Ha 2.

#3 - 03/03/2018 10:29 PM - Vratislav Chudoba

K coxaneHuio, He Mory HaiTu BeTkun B fepeBe. CKopee BCero N3MEHEHNs He BCyHYTbl B KOMUT B Hally BETKY FMT. Tak MOry CyauTb, MOTOMY-4TO B

KoAe He MOry HalnTu Hu cnepa no co3panuio seTkn fTofState n fTargetState.

#4 - 03/05/2018 07:30 PM - Vratislav Chudoba
- File exp1803_reco_BeamDetEloss.C added

- File exp1803_sim_BeamDetEloss.C added

- File showBeamDetElossSim.C added

- Description updated

- % Done changed from 80 to 90

#5 - 03/07/2018 10:54 AM - Vratislav Chudoba

- Description updated

#6 - 03/09/2018 06:24 PM - Vratislav Chudoba
- Description updated
- Status changed from OtkpsbiTa to 3akpeiTa

- % Done changed from 90 to 100

Files

exp1803_sim_BeamDetEloss.C 5.82 KB 03/05/2018 Vratislav Chudoba
exp1803_reco_BeamDetEloss.C 2.75 KB 03/05/2018 Vratislav Chudoba
showBeamDetElossSim.C 914 Bytes 03/05/2018 Vratislav Chudoba
